WordPress安装出现500错误解决方法

2016-09-03 22:20  阅读 665 次 评论 0 条

最近遇到了一个问题,新的主机,安装最新版的WordPress程序,在填写完数据库信息之后,没问题,填写完网站名称,用户名,密码,点击提交之后,就出现500错误,错误提示如图:

500错误1

 

这个问题引起的原因是:WordPress程序在安装成功之后,会去连接Wordpress官网,如果连接不上,就会出现500错误;

 

解决方法一:

所以如果您是国外的主机,一般不会出现这个问题,一般国内的主机,容易出现这种问题,解决办法:

找到程序文件:wp-includes/class-http.php

搜索:

$request_order=apply_filters('http_api_transports',array('curl','streams'),$args,$url);

然后将这一句代码替换为

$request_order=apply_filters('http_api_transports',array('streams'),$args,$url);

这样再安装,就不会出现这样的问题了。

 

解决方法二:

准确的说,您安装WordPress4.4及以上版本才会出现。

问题描述:

输入了完全正确的数据库信息,点击下一步,直接出现:InternalServerError

解决办法:

联系主机提供商,说需要设置主机php版本大于5.2,最少要5.3;主机的php版本是5.3之后再次安装,就不会出现问题了。

如果是万网的主机,可以登录http://cp.hichina.com,找到高级环境设置--PHP版本设置,设置php版本,之后再重置一下数据库密码即可。

500错误2

 

出现问题的原因:

WordPress官方在发布WordPress4.4正式版之后,随即也更新了WordPress运行的环境要求,WordPress官方给出的是这样的:

PHP5.6orgreater

MySQL5.6orgreater

Themod_rewriteApachemodule

WordPress4.4及以上版本可以在PHP5.3和Mysql5.1下正常运行。

本文地址:http://www.liuxinseo.com/86.html
版权声明:本文为原创文章,版权归 星雨 所有,欢迎分享本文,转载请保留出处!

发表评论


表情